Subject: Re: [apps-discuss] APPSDIR review of draft-ietf-homenet-arch-10

From: Tim Chown <[email-masked]>
Date: Tue, 5 Nov 2013 00:48:54 +0000

On 19 Sep 2013, at 14:24, Dave Cridland <[email-masked]> wrote:

> Ted Lemon wrote:
>> On Sep 19, 2013, at 6:59 AM, S Moonesamy <[email-masked]> wrote:
>>    > The Chairs have already agreed about the five topics to be covered.     It's not a problem.  The next step would be to take these topics, make     them accessible to the average reader, and organize them.  This may     require avoiding too many details if it is doable.
>> 
>> I think that you are interpreting this document to be something that it is not, and cannot yet be.   What this document is is an architecture for the homenet working group—a crib sheet that tells us what we are trying to accomplish.   I don't think it's intended to be something that a random person who is not implementing home gateways would find useful.   The working group is hoping that subsequent versions of this document will evolve over time, and I think it would be good for the working group to evolve the document into something that meets the goals that you've set out above.
>> 
>> However, I think that if the working group attempts to do that now, two things will happen.  First, the working group won't actually get to the work it's supposed to be doing, because completing the architecture document will continue to be an all-consuming effort.   Second, the document that is produced will be purely theoretical, not based on actual practice, and probably useless.
>> 
>> So I would like you to consider whether you can accept this restatement of the purpose of the document.   Do you feel that this document cannot be of use until it meets the goals you've set out above, or does the different purpose I've expressed here make sense to you?   If the latter, can you reconsider your review in light of this new stated purpose for the document? Is part of the problem that the goals of the document are poorly expressed in the document?   Given the goals I've stated, do all of your comments still apply, or would you have responded differently to the document if you'd been evaluating it on the basis I'm proposing?
>> 
> Then the title ought to call itself Requirements, or Proposed, or something.
> 
> Actually, I genuinely struggle to understand the purpose of publishing documents which are intended as working documents for a particular Working Group as an RFC, but on the basis that it's required for some reason I don't understand, then calling it the "Home Networking Architecture for IPv6" is confusing - I read that, perhaps terribly naively, as being a document defining the Home Networking Architecture for IPv6. Partly because, right at the top, it says "The goal of this document is to define a general architecture for IPv6-based home networking". It really had me fooled.
> 
> I appreciate I'm obviously foolish and easily mislead, but perhaps calling entitling it "Architectural Requirements for IPv6 Home Networking", or "Proposals and Considerations for Home Networking Architecture for IPv6", might give the reader the hint that it's not defining an architecture as such.
> 
> Dave.

The title was amended slightly for -11:

The diff for the -11 is available here:
http://tools.ietf.org/rfcdiff?url2=draft-ietf-homenet-arch-11.txt

Tim